<div class="fixed top-0 left-0 lg:ml-20 w-full h-full z-50" x-show="state.upgrade_modal_open == true" x-transition.opacity>

    <div @click.prevent="state.upgrade_modal_open = false" class="fixed bg-slate-800 w-full h-full z-40 opacity-40"></div>
    <div class="relative top-1/2 left-1/2 p-6 -translate-x-1/2 -translate-y-1/2 flex bg-red-50 w-full max-w-md flex-col justify-between z-50 gap-4 shadow-md border border-slate-100 rounded-md relative">
        <!-- close  -->
        <div class="absolute top-2 right-2">
            <button @click.prevent="state.upgrade_modal_open = false" class="w-6 h-6 rounded-md bg-red-200 text-red-500 hover:bg-red-500 hover:opacity-90 focus:outline-none focus:shadow-outline flex items-center justify-center hover:text-white transition duration-150">
                <svg class="w-3 h-3" fill="currentColor" viewBox="0 0 24 24">
                <path d="M23 20.168l-8.185-8.187 8.185-8.174-2.832-2.807-8.182 8.179-8.176-8.179-2.81 2.81 8.186 8.196-8.186 8.184 2.81 2.81 8.203-8.192 8.18 8.192z"/>
                </svg>
            </button>
        </div>
        <div class="p-4" x-data="SCF_Upgrade">

            <!-- title  -->
            <div class="font-semibold text-xl text-center"><?php echo __('Unlock all features', 'social-contact-form'); ?></div>

            <!-- colored text  -->
            <div class="block italic font-bold  text-3xl text-center my-6">
                <span class="text-indigo-400"><?php echo __('Lifetime', 'social-contact-form'); ?></span>
                <span class="text-pink-500 uppercase text-shadow"><?php echo __('ULTIMATE', 'social-contact-form'); ?></span>
                <span class="text-orange-400"><?php echo __('Deal', 'social-contact-form'); ?></span>
            </div>

            <!-- discount  -->
            <div x-show="discount" class="mb-4 bg-gradient-to-b from-purple-600 to-indigo-800 flex items-center justify-between w-72 mx-auto rounded-md font-bold text-center">
                <span class="text-yellow-400 -rotate-90 whitespace-nowrap text-xl"><?php echo __('up to', 'social-contact-form'); ?></span>
                <span class="w-full text-6xl text-white py-4 mr-2" x-text="`${discount}% off`"></span>
            </div>

            <!-- time counter text  -->
            <div x-show="getCounterTime" class="py-3">
                <div class="text-center font-semibold text-slate-600 flex items-center justify-center gap-3 max-w-sm mx-auto">
                    <span class="block w-1/3 border-b border-slate-400"></span>
                    <?php echo __('Deal ends in', 'social-contact-form'); ?>
                    <span class="block w-1/3 border-b border-slate-400"></span>
                </div>
            </div>

            <!-- time counter text  -->
            <div x-show="getCounterTime" class="upgrade-counter">
                <div>
                    <div class="counter-box">
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                        <dd x-text="days"></dd>
                    </div>
                    <div class="counter-label"><?php echo __('DAYS', 'social-contact-form'); ?></div>
                </div>
                <div>
                    <div class="counter-box">
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                        <dd x-text="hours"></dd>
                    </div>
                    <div class="counter-label"><?php echo __('HOURS', 'social-contact-form'); ?></div>
                </div>
                <div>
                    <div class="counter-box">
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                        <dd x-text="minutes"></dd>
                    </div>
                    <div class="counter-label"><?php echo __('MINUTES', 'social-contact-form'); ?></div>
                </div>
                <div>
                    <div class="counter-box">
                        <span></span>
                        <span></span>
                        <span></span>
                        <span></span>
                        <dd x-text="seconds"></dd>
                    </div>
                    <div class="counter-label"><?php echo __('SECONDS', 'social-contact-form'); ?></div>
                </div>

            </div>

        </div>
        <div class="flex items-center justify-center">
            <a href="https://go.wppool.dev/2rc7" _target="_blank" class="text-center block w-72 bg-indigo-600 text-white font-semibold py-5 shadow-lg rounded-md text-2xl hover:opacity-90 uppercase" href="" target="_blank">
                <?php echo __('Upgrade now', 'social-contact-form'); ?> </a>
        </div>

    </div>
</div>